<template>
  <footer class="pt-8 pb-16 text-sm leading-6 dark:text-zinc-300">
    <div
      class="max-w-7xl mx-auto divide-y divide-slate-200 px-4 sm:px-6 md:px-8 dark:divide-slate-700"
    >
      <div class="flex">
        <div
          class="flex-none w-1/2 space-y-10 sm:space-y-8 lg:flex lg:space-y-0"
        >
          <div class="lg:flex-none lg:w-1/2">
            <h2 class="font-semibold">{{ $gettext('Getting started') }}</h2>

            <ul>
              <li>
                <a
                  target="_blank"
                  href="https://docs.joinmobilizon.org/use/users/account-creation/"
                  >{{ $gettext('Open an account') }}</a
                >
              </li>
              <li>
                <a
                  target="_blank"
                  href="https://docs.joinmobilizon.org/use/groups/create-group/"
                  >{{ $gettext('Create groups') }}</a
                >
              </li>
            </ul>
          </div>
          <div class="lg:flex-none lg:w-1/2">
            <h2 class="font-semibold">{{ $gettext('Host it yourself') }}</h2>

            <ul>
              <li>
                <a
                  target="_blank"
                  href="https://docs.joinmobilizon.org/administration/install/"
                  >{{ $gettext('Install Mobilizon') }}</a
                >
              </li>
              <!-- <li>
                <a
                  target="_blank"
                  href="#"
                  >{{
                    $gettext('Why should I have my own Mobilizon website?')
                  }}</a
                >
              </li> -->
            </ul>
          </div>
        </div>
        <div
          class="flex-none w-1/2 space-y-10 sm:space-y-8 lg:flex lg:space-y-0"
        >
          <div class="lg:flex-none lg:w-1/2">
            <h2 class="font-semibold">{{ $gettext('Resources') }}</h2>

            <ul>
              <li>
                <a target="_blank" href="https://joinmobilizon.org">{{
                  $gettext('Discover Mobilizon')
                }}</a>
              </li>
            </ul>
          </div>
          <div class="lg:flex-none lg:w-1/2">
            <h2 class="font-semibold">{{ $gettext('Community') }}</h2>

            <ul>
              <li>
                <a
                  target="_blank"
                  href="https://framagit.org/framasoft/joinmobilizon/search-index"
                  >{{ $gettext('Source code') }}</a
                >
              </li>
              <li>
                <a
                  target="_blank"
                  href="https://docs.joinmobilizon.org/about/#discuss"
                  >{{ $gettext('Chat') }}</a
                >
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </footer>
</template>

<script setup lang="ts">
  import { inject } from 'vue'
  import { ServerConfig } from '../../../shared'

  const config = inject<ServerConfig>('config')
  const legalNoticesUrl = config.legalNoticesUrl
</script>
